Page MenuHomePhabricator

&veaction=edit URL parameter does not work on mobile site
Closed, ResolvedPublic1 Story Points

Description

URLs like https://meta.m.wikimedia.org/w/index.php?title=Main_Page&veaction=edit don't open VE. If you remove the "m." from the URL, it does work.

I think this is because the code handling veaction lives in DesktopArticleTarget.init.js and doesn't run on mobile. This breaks the useve=true functionality in <inputbox> on mobile, see e.g. https://meta.m.wikimedia.org/w/index.php?title=Grants:IdeaLab/Inspire&oldid=17677561

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterIntercept desktop editor links

Event Timeline

Catrope created this task.Jan 26 2018, 12:38 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2018, 12:38 AM

Change 434071 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/skins/MinervaNeue@master] Intercept desktop editor links

https://gerrit.wikimedia.org/r/434071

DLynch claimed this task.May 19 2018, 8:13 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 434071 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Intercept desktop editor links

https://gerrit.wikimedia.org/r/434071

Deskana closed this task as Resolved.May 28 2018, 3:39 PM
Deskana triaged this task as Medium priority.